Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.forms.archive({
id: "<id>",
});
console.log(result);
}
run();curl --request PATCH \
--url https://api.crevio.co/v1/forms/{id}/archive \
--header 'Authorization: <api-key>'import requests
url = "https://api.crevio.co/v1/forms/{id}/archive"
headers = {"Authorization": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {Authorization: '<api-key>'}};
fetch('https://api.crevio.co/v1/forms/{id}/archive', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"name": "<string>",
"settings": {},
"tag_ids": [
123
],
"archived_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"confirmation_required": true,
"form_fields": [
{
"id": "<string>",
"object": "<string>",
"name": "<string>",
"required": true,
"position": 123,
"options": [
"<string>"
]
}
]
}{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}{
"error": {
"type": "invalid_request_error",
"code": "forbidden",
"message": "You do not have permission to perform this action"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "The requested resource was not found"
}
}{
"error": {
"type": "validation_error",
"code": "validation_failed",
"message": "Email is required",
"errors": {
"email": [
"can't be blank"
]
}
}
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}Forms
Archive form
Soft-deletes a Form by setting archived_at. The form stops appearing in the active list but its fields and submissions are preserved. Idempotent.
PATCH
/
forms
/
{id}
/
archive
Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.forms.archive({
id: "<id>",
});
console.log(result);
}
run();Authorizations
API key in the format: Bearer {api_token}
Path Parameters
Response
Archived form
Show child attributes
Show child attributes
Was this page helpful?
⌘I

